#ifndef REPLAY_DEVICE_HPP
#define REPLAY_DEVICE_HPP

#include "input.hpp"

#include <queue>

class ReplayDevice : public Input_device
{
private:
  std::queue<std::pair<timespec, Input> > inputs;
  timespec time_start;

public:
  ReplayDevice();

  void suspend();
  void wake_up();

  void run();
};

#endif
